﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public enum Season { Winter, Spring, Summer, Autumn };

public class Environment : MonoBehaviour {
    [HideInInspector] public bool IsTimeRunning;
    [HideInInspector] public DateTime LastCurrentTime;
    [HideInInspector] public DateTime CurrentTime = DateTime.Now;
    public float TimeScale = 1;
    HeatObject environmentHeat;
    public Text OutsideThermometer;
    public Text Clock;
    
    void Awake()
    {
        IsTimeRunning = false;
        LastCurrentTime = CurrentTime;
        environmentHeat = GetComponent<HeatObject>();
    }

    public void TogglePlay()
    {
        IsTimeRunning = !IsTimeRunning;
    }
	
	// Update is called once per frame
	void Update () {
        if (IsTimeRunning)
        {
            LastCurrentTime = CurrentTime;
            CurrentTime = CurrentTime.AddSeconds(TimeScale * Time.deltaTime);
        }
        if (OutsideThermometer != null)
            OutsideThermometer.text = String.Format("{0:0.0}", environmentHeat.CurrentTemperature);
        if (Clock != null)
            Clock.text = CurrentTime.ToLongTimeString();
	}
}
