﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.AI;

[Serializable]
public class Waypoint
{
    public Transform Transform;
    public float Pause;
}

public class Patrolorama : MonoBehaviour {
    public Waypoint[] WayPoints;
    private int destPoint = 0;
    private NavMeshAgent agent;
    private float nextPointTime;

    // Use this for initialization
    void Start () {
        agent = GetComponent<NavMeshAgent>();
        GotoNextPoint();
    }

    void GotoNextPoint()
    {
        if (WayPoints.Length == 0)
            return;
        //tpc.Move(points[destPoint].position, false, false);
        agent.SetDestination(WayPoints[destPoint].Transform.position);
        destPoint = (destPoint + 1) % WayPoints.Length;
    }

    void Update () {
        if (!agent.pathPending && agent.remainingDistance < 0.5f)
        {
            nextPointTime = Time.time + WayPoints[destPoint].Pause;
        }
        if (Time.time > nextPointTime)
            GotoNextPoint();
    }
}
