﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RoomManager : MonoBehaviour {
    public float DesiredLightLevel;
    public float DesiredTemperature;
    public float SunEffect;
    public Light[] lights;
    public GameObject RoomGeometry;
    Thermostat thermostat;
    public int ObjectCount = 0;
    Light theSun;

	void Start () {
        thermostat = GetComponent<Thermostat>();
        theSun = GameObject.Find("The Sun").GetComponent<Light>();
	}

    // Update is called once per frame
    void Update () {
        thermostat.DesiredTemperature = DesiredTemperature;
        foreach (var light in lights)
        {
            if (light.name.StartsWith("Room"))
                continue;
            if (theSun.intensity * SunEffect > 0.6)
            {
                light.intensity = 0;
            }
            else
                light.intensity = (ObjectCount == 0) ? Mathf.Lerp(light.intensity, DesiredLightLevel * 0.1f, Time.deltaTime) : Mathf.Lerp(light.intensity, DesiredLightLevel, Time.deltaTime);
        }
    }
}
