﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Server : MonoBehaviour {
    RoomManager[] rooms;
    IDataSource dataSource;

    void Awake()
    {
        dataSource = new TestDataSource();
    }

	// Use this for initialization
	void Start () {
        rooms = FindObjectsOfType<RoomManager>();
	}
	
	// Update is called once per frame
	void Update () {
        foreach (var room in rooms)
        {
            if (dataSource.getDesiredTemperatures().ContainsKey(room.name))
                room.DesiredTemperature = dataSource.getDesiredTemperatures()[room.name];
            if (dataSource.getDesiredLightLevels().ContainsKey(room.name))
                room.DesiredLightLevel = dataSource.getDesiredLightLevels()[room.name];
        }
    }
}
