﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SunScript : MonoBehaviour {
    Environment environment;
    Light self;
    HeatObject heatObject;

	// Use this for initialization
	void Start () {
        environment = FindObjectOfType<Environment>();
        self = GetComponent<Light>();
        heatObject = GetComponent<HeatObject>();
	}
	
	// Update is called once per frame
	void Update () {
        if (environment.CurrentTime.Hour < 6 || environment.CurrentTime.Hour >= 18)
            self.intensity = 0f;
        else
        {
            int currentSeconds = environment.CurrentTime.Hour * 3600 +
                environment.CurrentTime.Minute * 60 +
                environment.CurrentTime.Second - 21600;
            self.intensity = (float)(1 - (Math.Pow(1 - Math.Abs(Math.Sin((currentSeconds * Math.PI) / 43200)), 4)));
            self.transform.eulerAngles = new Vector3(((currentSeconds / 43200f) * 180f), 60, 0);
        }
        heatObject.CurrentTemperature = 30 -
            Math.Abs(environment.CurrentTime.Month - 7) * 7 -
            Math.Abs(environment.CurrentTime.Hour * 3600 +
            environment.CurrentTime.Minute * 60 +
            environment.CurrentTime.Second - 43200) / 8888f;

    }
}
