﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Thermostat : MonoBehaviour {
    public float DesiredTemperature;
    HeatObject affectedHeatObject;
    HeatSource leakageObject;

    void Start()
    {
        HeatObject environment = FindObjectOfType<Environment>().GetComponent<HeatObject>();
        leakageObject = new HeatSource { HeatObject = environment, Weight = 1000.0f };
        affectedHeatObject = GetComponent<HeatObject>();
    }
	
	// Update is called once per frame
	void Update () {
        if (affectedHeatObject.CurrentTemperature < DesiredTemperature - 0.5f)
        {
            foreach (var source in affectedHeatObject.HeatSources)
            {
                if (source.HeatObject.IsTurnOffable)
                    source.HeatObject.Reset();
            }
        }
        if (affectedHeatObject.CurrentTemperature > DesiredTemperature)
            foreach (var source in affectedHeatObject.HeatSources)
            {
                if (source.HeatObject.IsTurnOffable)
                    source.HeatObject.CurrentTemperature = affectedHeatObject.CurrentTemperature;
            }
    }
}
